<?php


namespace App\Entity;


class Document
{
    private $content;
    private $metadata = [];

    /**
     * Document constructor.
     *
     * @param string $content
     * @param array  $metadata
     */
    public function __construct(string $content, array $metadata)
    {
        $this->setContent($content);
        $this->setMetadata($metadata);
    }

    /**
     * @return mixed
     */
    public function getContent()
    {
        return $this->content;
    }

    /**
     * @param mixed $content
     *
     * @return $this
     */
    public function setContent($content)
    {
        $this->content = $content;

        return $this;
    }

    /**
     * @return mixed
     */
    public function getMetadata(): array
    {
        return $this->metadata;
    }

    /**
     * @param mixed $metadata
     *
     * @return $this
     */
    public function setMetadata(array $metadata)
    {
        $this->metadata = $metadata;

        return $this;
    }
}